Bug 68215 - undefined symbol: ufdio
undefined symbol: ufdio
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: rpmfind (Show other bugs)
6.2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Veillard
Aaron Brown
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-07-08 04:44 EDT by Need Real Name
Modified: 2007-04-18 12:43 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-11-30 10:44:44 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2002-07-08 04:44:46 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.78 (Macintosh; U; PPC)

Description of problem:
Can't start rpmfind after upgrade of rpm.
error is rpmfind: error in loading shared libraries: /usr/lib/librpm.so.0: 
undefined symbol: ufdio

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. call rpmfind
2.
3.
	

Actual Results:  rpmfind: error in loading shared libraries: /usr/lib/
librpm.so.0: undefined symbol: ufdio

Expected Results:  A search for a rpm package

Additional info:

#) rpm -q rpmfind
rpmfind-1.4-3
Comment 1 Daniel Veillard 2002-08-29 05:57:17 EDT
rpmfind need to be recompiled or upgraded to the latest version,
the changes in the RPM library ABI generated this problem.
Did you upgrade the rpmfind package at the same time as the
rpm package, if not, you should !

Daniel
Comment 2 Need Real Name 2002-08-29 12:47:54 EDT
There is no newer version in updates and all updates I've done are up2date.

Rebuilding from source renders the following error:

configure: error: *** rpm lib not found

error: Bad exit status from /var/tmp/rpm-tmp.55389 (%build)



It is not possible to rebuild from RH 6.2 source rpm and no update.

To me, thats broken.



Hans

Comment 3 Daniel Veillard 2004-11-30 10:44:44 EST
rpmfind package is deprecated and not part of the distributions 
we ship anymore. I think this can safely be closed.

Daniel 

Note You need to log in before you can comment on or make changes to this bug.